> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Upcoming Regular Payroll

> Get the upcoming regularly scheduled check date for a company and its associated reporting period.



## OpenAPI

````yaml openapi/employee-checks.json get /payroll/regular
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /payroll/regular:
    get:
      summary: Get Upcoming Regular Payroll
      description: >-
        Get the upcoming “regularly” scheduled check date for the company and
        associated reporting period information.
      operationId: get-upcoming-regular-payroll
      parameters:
        - name: companyID
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    data:
                      reportingPeriodID: 6376xx94xxdaxxbfxx1exx78
                      start: '2023-09-23'
                      end: '2023-10-06'
                      checkDate: '2023-10-10'
                    success: true
                    testMode: true
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      reportingPeriodID:
                        type: string
                        example: 6376xx94xxdaxxbfxx1exx78
                      start:
                        type: string
                        example: '2023-09-23'
                      end:
                        type: string
                        example: '2023-10-06'
                      checkDate:
                        type: string
                        example: '2023-10-10'
                  success:
                    type: boolean
                    example: true
                    default: true
                  testMode:
                    type: boolean
                    example: true
                    default: true
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: {}
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````